"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const tslib_es6 = require("../../../node_modules/tslib/tslib.es6.js");
const Axis = require("../Axis.js");
var RadiusAxis = (
  /** @class */
  function(_super) {
    tslib_es6.__extends(RadiusAxis2, _super);
    function RadiusAxis2(scale, radiusExtent) {
      return _super.call(this, "radius", scale, radiusExtent) || this;
    }
    RadiusAxis2.prototype.pointToData = function(point, clamp) {
      return this.polar.pointToData(point, clamp)[this.dim === "radius" ? 0 : 1];
    };
    return RadiusAxis2;
  }(Axis.default)
);
RadiusAxis.prototype.dataToRadius = Axis.default.prototype.dataToCoord;
RadiusAxis.prototype.radiusToData = Axis.default.prototype.coordToData;
const RadiusAxis$1 = RadiusAxis;
exports.default = RadiusAxis$1;
